SpecialQuantities

## Functions

TRIO_PUBLIC_NAN int | trio_isnan (double number)
| Check for NaN.
TRIO_PUBLIC_NAN int | trio_isinf (double number)
| Check for infinity.
TRIO_PUBLIC_NAN int | trio_isfinite (double number)
| Check for finity.
TRIO_PUBLIC_NAN int | trio_signbit (double number)
| Examine the sign of a number.
TRIO_PUBLIC_NAN int | trio_fpclassify (double number)
| Examine the class of a number.
TRIO_PUBLIC_NAN double | trio_nzero (void)
| Generate negative zero.
TRIO_PUBLIC_NAN double | trio_pinf (void)
| Generate positive infinity.
TRIO_PUBLIC_NAN double | trio_ninf (void)
| Generate negative infinity.
TRIO_PUBLIC_NAN double | trio_nan (void)
| Generate NaN.

## Detailed Description

## Function Documentation

## trio_fpclassify()

TRIO_PUBLIC_NAN int trio_fpclassify | ( | double | number | ) |

Examine the class of a number.

Parameters

  number | An arbitrary floating-point number.

Returns
  Enumerable value indicating the class of `number`

References trio_fpclassify().

Referenced by trio_fpclassify().

## trio_isfinite()

TRIO_PUBLIC_NAN int trio_isfinite | ( | double | number | ) |

Check for finity.

Parameters

  number | An arbitrary floating-point number.

Returns
  Boolean value indicating whether or not the number is a finite.

References trio_isfinite().

Referenced by trio_isfinite().

## trio_isinf()

TRIO_PUBLIC_NAN int trio_isinf | ( | double | number | ) |

Check for infinity.

Parameters

  number | An arbitrary floating-point number.

Returns
  1 if positive infinity, -1 if negative infinity, 0 otherwise.

References trio_isinf().

Referenced by trio_isinf().

## trio_isnan()

TRIO_PUBLIC_NAN int trio_isnan | ( | double | number | ) |

Check for NaN.

Parameters

  number | An arbitrary floating-point number.

Returns
  Boolean value indicating whether or not the number is a NaN.

References trio_isnan().

Referenced by trio_isnan().

## trio_nan()

TRIO_PUBLIC_NAN double trio_nan | ( | void |  | ) |

Generate NaN.

Returns
  Floating-point representation of NaN.

References trio_pinf().

## trio_ninf()

TRIO_PUBLIC_NAN double trio_ninf | ( | void |  | ) |

Generate negative infinity.

Returns
  Floating-point value of negative infinity.

References trio_pinf().

## trio_nzero()

TRIO_PUBLIC_NAN double trio_nzero | ( | void |  | ) |

Generate negative zero.

Returns
  Floating-point representation of negative zero.

## trio_pinf()

TRIO_PUBLIC_NAN double trio_pinf | ( | void |  | ) |

Generate positive infinity.

Returns
  Floating-point representation of positive infinity.

Referenced by trio_nan(), and trio_ninf().

## trio_signbit()

TRIO_PUBLIC_NAN int trio_signbit | ( | double | number | ) |

Examine the sign of a number.

Parameters

  number | An arbitrary floating-point number.

Returns
  Boolean value indicating whether or not the number has the sign bit set (i.e. is negative).

References trio_signbit().

Referenced by trio_signbit().

Copyright (C) 2001 - 2006 Bjørn Reese and Daniel Stenberg.